• Antergos Gnome 17.12 missing libs right after fresh install


    @developers

    Dec 23 14:55:55 empowered64 gnome-photos[1103]: Fehler beim Laden von Modul »/usr/lib/gegl-0.3/exr-load.so«: libIlmImf-2_2.so.22: Kann die Shared-Object-Datei nicht öffnen: Datei oder Verzeichnis nicht gefunden
    Dec 23 14:55:55 empowered64 gnome-documents[1094]: JS LOG: Can't find a valid getting started PDF document
    Dec 23 14:55:55 empowered64 gnome-photos[1103]: Fehler beim Laden von Modul »/usr/lib/gegl-0.3/matting-levin.so«: libumfpack.so.5: Kann die Shared-Object-Datei nicht öffnen: Datei oder Verzeichnis nicht gefunden
    Dec 23 14:55:55 empowered64 gnome-photos[1103]: Fehler beim Laden von Modul »/usr/lib/gegl-0.3/exr-save.so«: libIlmImf-2_2.so.22: Kann die Shared-Object-Datei nicht öffnen: Datei oder Verzeichnis nicht gefunden
    Dec 23 14:55:55 empowered64 gnome-photos[1103]: Fehler beim Laden von Modul »/usr/lib/gegl-0.3/lens-correct.so«: liblensfun.so.1: Kann die Shared-Object-Datei nicht öffnen: Datei oder Verzeichnis nicht gefunden
    Dec 23 14:55:23 empowered64 colord[649]: /usr/lib/colord-sane: error while loading shared libraries: libsane.so.1: cannot open shared object file: No such file or directory
    Dec 23 14:55:35 empowered64 gst-plugin-scan[1008]: Failed to load plugin '/usr/lib/gstreamer-1.0/libgstkate.so': libkate.so.1: cannot open shared object file: No such file or directory
    Dec 23 14:55:36 empowered64 gst-plugin-scan[1008]: Failed to load plugin '/usr/lib/gstreamer-1.0/libgstqmlgl.so': libQt5Quick.so.5: cannot open shared object file: No such file or directory
    Dec 23 14:55:37 empowered64 gst-plugin-scan[1008]: Failed to load plugin '/usr/lib/gstreamer-1.0/libgstlv2.so': liblilv-0.so.0: cannot open shared object file: No such file or directory
    Dec 23 14:55:37 empowered64 gst-plugin-scan[1008]: Failed to load plugin '/usr/lib/gstreamer-1.0/libgstlv2.so': liblilv-0.so.0: cannot open shared object file: No such file or directory
    Dec 23 14:55:37 empowered64 gst-plugin-scan[1008]: Failed to load plugin '/usr/lib/gstreamer-1.0/libgstfluidsynthmidi.so': libfluidsynth.so.1: cannot open shared object file: No such file or directory
    Dec 23 14:55:37 empowered64 gst-plugin-scan[1008]: Failed to load plugin '/usr/lib/gstreamer-1.0/libgstzbar.so': libzbar.so.0: cannot open shared object file: No such file or directory
    Dec 23 14:55:37 empowered64 gst-plugin-scan[1008]: Failed to load plugin '/usr/lib/gstreamer-1.0/libgstopenexr.so': libIlmImf-2_2.so.22: cannot open shared object file: No such file or directory
    

    may some packages missing ?

    freeimage
    lensfun
    suitesparse
    

    And to get pamac-tray visible we need to install Topicons-Plus shell extension…

    Also still this @karasu :

    Dec 23 15:17:49 empowered64 gnome-session[654]: gnome-session-binary[654]: WARNING: Could not parse desktop file first-boot-hotfix.desktop or it references a not found TryExec binary
    Dec 23 15:17:49 empowered64 gnome-session[654]: gnome-session-binary[654]: WARNING: Could not parse desktop file cnchi.desktop or it references a not found TryExec binary
    Dec 23 15:17:49 empowered64 gnome-session-binary[654]: WARNING: Could not parse desktop file first-boot-hotfix.desktop or it references a not found TryExec binary
    Dec 23 15:17:49 empowered64 gnome-session-binary[654]: WARNING: Could not parse desktop file cnchi.desktop or it references a not found TryExec binary
    
  • @joekamprad
    Maybe some new package added to gnome…

    does sudo pacman -S $(pactree -u gnome) --needed show something missing?

  • package group “gnome” is not installed … and pactree is not working for groups:

    sudo pacman -S $(pactree -u gnome) --needed
    error: package 'gnome' not found
    error: no targets specified (use -h for help)
    
  • @joekamprad

    package group “gnome” is not installed … and pactree is not working for groups:

    i didn’t know that. Maybe there is another command, i’ll try to split he group into packages here.
    is there a way to compare gnome and antergos-gnome-setup?

    why karasu folder is there? hehehehe

  • It is only a bookmark…

    Diffing a package group with a meta package is not possible, but copy paste the packagenames will make it possible…

  • @joekamprad said in Antergos Gnome 17.12 missing libs right after fresh install:

    It is only a bookmark…

    Diffing a package group with a meta package is not possible, but copy paste the packagenames will make it possible…

    Ok.
    Did you install antergos-gnome-setup right? So if you try to install with sudo pacman -S gnome --needed any new package is needed to install? (maybe that way we can “compare” antergos vs arch).

  • @fernandomaroto that’s smart😎
    I will try, but first Christmas Dinner

  • @joekamprad said in Antergos Gnome 17.12 missing libs right after fresh install:

    @fernandomaroto that’s smart😎

    That’s just trial and error :p

    I will try, but first Christmas Dinner

    here is only 5pm yet.
    Bon appetite!

  • antergos-gnome-meta is what we have installed now ;)

  • @joekamprad

    https://build.antergos.com/package/antergos-gnome-meta

    Are those all the gnome packages? Is not simply possible to add gnome at antergos-gnome-meta?

    https://paste2.org/Kk1LdUnb >> installed packages

    I don’t see gstreamer in that list, and @joekamprad got an error about it, maybe is a dependency for one of the packages there but is not being installed.

  • [[email protected] ~]$ pacman -Qs gstreamer
    local/clutter-gst 3.0.24-1
        GStreamer bindings for clutter
    local/gst-libav 1.12.4-1
        GStreamer Multimedia Framework ffmpeg Plugin
    local/gst-plugins-bad 1.12.4-1
        GStreamer Multimedia Framework Bad Plugins
    local/gst-plugins-base 1.12.4-1
        GStreamer Multimedia Framework Base Plugins
    local/gst-plugins-base-libs 1.12.4-1
        GStreamer Multimedia Framework Base Plugin libraries
    local/gst-plugins-good 1.12.4-1
        GStreamer Multimedia Framework Good Plugins
    local/gst-plugins-ugly 1.12.4-1
        GStreamer Multimedia Framework Ugly Plugins
    local/gstreamer 1.12.4-1
        GStreamer open-source multimedia framework core library
    local/gstreamer-vaapi 1.12.4-1
        GStreamer Multimedia Framework VAAPI Plugin
    local/totem 3.26.0+1+g4e309671-1 (gnome)
        Movie player for the GNOME desktop based on GStreamer
    

    But may it is only related to not updated databases… today a i recheck and see all the missing libs:

    ls /usr/lib/gstreamer-1.0/
    https://ptpb.pw/B5UO

    ls /usr/lib/gegl-0.3/
    https://ptpb.pw/MCp9

    so i will check after rebooting the machine…

  • @developers
    missing:

  • boot log after update system second boot: https://ptpb.pw/wERv is clean only libsane is missing, but this is true, as we do not provide scanner support by default…

  • @joekamprad said in Antergos Gnome 17.12 missing libs right after fresh install:

    https://github.com/phocean/TopIcons-plus --no package aviable
    antergos/chrome-gnome-shell 9-1 --package not instaslled as default

    So are these optional dependencies?

  • Both should be dependencies 😁

  • @joekamprad said in Antergos Gnome 17.12 missing libs right after fresh install:

    Both should be dependencies 😁

    Then i’m lost. :)

Posts 28Views 1686
Bloom Email Optin Plugin

Looks like your connection to Antergos Community Forum was lost, please wait while we try to reconnect.